VULKAN_HPP_NAMESPACE::BaseOutStructure Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::BaseOutStructure:
[legend]

## Public Member Functions

| BaseOutStructure ()
| BaseOutStructure (VkBaseOutStructure const &rhs)
BaseOutStructure & | operator= (VkBaseOutStructure const &rhs)
BaseOutStructure & | setPNext (struct BaseOutStructure *pNext_)
| operator VkBaseOutStructure const & () const
| operator VkBaseOutStructure & ()
bool | operator== (BaseOutStructure const &rhs) const
bool | operator!= (BaseOutStructure const &rhs) const

## Data Fields

StructureType | sType
struct BaseOutStructure * | pNext = nullptr

## Detailed Description

Definition at line 48338 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BaseOutStructure() [1/2]

VULKAN_HPP_NAMESPACE::BaseOutStructure::BaseOutStructure | ( |  | ) |

inline

Definition at line 48340 of file vulkan.hpp.

{
}

## BaseOutStructure() [2/2]

VULKAN_HPP_NAMESPACE::BaseOutStructure::BaseOutStructure | ( | VkBaseOutStructure const & | rhs | ) |

inline

Definition at line 48344 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BaseOutStructure ) );
}

References memcpy.

## Member Function Documentation

## operator VkBaseOutStructure &()

VULKAN_HPP_NAMESPACE::BaseOutStructure::operator VkBaseOutStructure & | ( |  | ) |

inline

Definition at line 48365 of file vulkan.hpp.

{
return *reinterpret_cast<VkBaseOutStructure*>(this);
}

## operator VkBaseOutStructure const &()

VULKAN_HPP_NAMESPACE::BaseOutStructure::operator VkBaseOutStructure const & | ( |  | ) | const

inline

Definition at line 48360 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBaseOutStructure*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BaseOutStructure::operator!= | ( | BaseOutStructure const & | rhs | ) | const

inline

Definition at line 48376 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BaseOutStructure& VULKAN_HPP_NAMESPACE::BaseOutStructure::operator= | ( | VkBaseOutStructure const & | rhs | ) |

inline

Definition at line 48349 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BaseOutStructure ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BaseOutStructure::operator== | ( | BaseOutStructure const & | rhs | ) | const

inline

Definition at line 48370 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext );
}

References pNext, and sType.

Referenced by operator!=().

## setPNext()

BaseOutStructure& VULKAN_HPP_NAMESPACE::BaseOutStructure::setPNext | ( | struct BaseOutStructure * | pNext_ | ) |

inline

Definition at line 48354 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## pNext

struct BaseOutStructure* VULKAN_HPP_NAMESPACE::BaseOutStructure::pNext = nullptr

Definition at line 48382 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::BaseOutStructure::sType

Definition at line 48381 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::BaseOutStructure::pNext
struct BaseOutStructure * pNext
Definition: vulkan.hpp:48382
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkBaseOutStructure
Definition: vulkan_core.h:2839
VULKAN_HPP_NAMESPACE::BaseOutStructure::BaseOutStructure
BaseOutStructure()
Definition: vulkan.hpp:48340
VULKAN_HPP_NAMESPACE::BaseOutStructure::operator==
bool operator==(BaseOutStructure const &rhs) const
Definition: vulkan.hpp:48370
VULKAN_HPP_NAMESPACE::BaseOutStructure::sType
StructureType sType
Definition: vulkan.hpp:48381